
Foreman - Refactor #13047

Update datatables 

01/07/2016 09:36 AM - Tomer Brisker

Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: Web Interface   

Target version: 1.13.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3796

  

Description

We currently use a vendored version of databales, version 1.9.4 with some custom layout code.

This version is deprecated and we should update to a current version.

There were some breaking changes in the api in version 1.10 which needed to be addressed.

Currently this is only used in compute resources, but could be added to other tables as well in the future.

Related issues:

Related to Foreman - Refactor #16291: move datatables from vendor to npm Closed 08/25/2016

Associated revisions

Revision 77e12c85 - 09/02/2016 05:12 AM - Tomer Brisker

Fixes #13047, #16291 - Upgrade datatables and move it to npm

History

#1 - 01/07/2016 09:41 AM - Ohad Levy

isnt data table part of patternfly already?

https://github.com/patternfly/patternfly/tree/master/components/datatables

#2 - 01/07/2016 09:54 AM - Tomer Brisker

looks like it. We still need to update our tables to use the new API, currently changing the version breaks them.

#3 - 08/30/2016 07:49 AM - Tomer Brisker

- Related to Refactor #16291: move datatables from vendor to npm added

#4 - 08/30/2016 11:12 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Tomer Brisker

- Pull request https://github.com/theforeman/foreman/pull/3796 added

#5 - 08/31/2016 03:48 AM - Tomer Brisker

- Target version set to 1.6.2

#6 - 09/02/2016 06:02 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 77e12c8572085010eed3d2a42bb2cfa28de49d94.

#7 - 09/05/2016 04:05 AM - Dominic Cleal

- translation missing: en.field_release set to 160
